xkeyboard-config (2.47-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 30 Mar 2026 14:39:43 +0300

xkeyboard-config (2.46-2) unstable; urgency=medium

  * Migrate /usr/lib/X11/xkb dir to symlink. (Closes: #1122650)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Dec 2025 15:35:35 +0200

xkeyboard-config (2.46-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * debian/copyright: Convert to machine-readable format

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Drop obsolete xkb-base build-option.
  * watch: Updated to version 5.
  * source: Switch to format 3.0 (quilt).

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Dec 2025 16:47:05 +0200

xkeyboard-config (2.44-1) experimental; urgency=medium

  * New upstream release. (Closes: #1091993)
  * copyright: Fix a typo in the URL. (Closes: #1070293)
  * rules: Enable non-latin-layouts-list. (Closes: #1085452)
    - control: Add libxkbcommon-tools and python3-yaml to build-depends.
  * rules: Drop dh_clean override, unnecessary.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 28 Jul 2025 17:41:00 +0300

xkeyboard-config (2.42-1) unstable; urgency=medium

  * New upstream release. (Closes: #1073540)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Jun 2024 09:44:48 +0300

xkeyboard-config (2.41-2) unstable; urgency=medium

  * Update NEWS. (Closes: #1063725, #1063702)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Feb 2024 10:04:05 +0200

xkeyboard-config (2.41-1) unstable; urgency=medium

  * New upstream release.
  * docs.diff: Dropped, upstream.
  * control: Add gawk to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Feb 2024 18:05:59 +0200

xkeyboard-config (2.38-2) unstable; urgency=medium

  * Non-maintainer upload
  * Upload to unstable

  [ Diederik de Haas ]
  * patches: Rebase docs.diff onto 829b483a (MR 6, closes: 1027875)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 19 Jun 2023 14:32:57 +0200

xkeyboard-config (2.38-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends-Indep: Drop versioned constraint on xutils-dev.
    + xkb-data: Drop versioned constraint on libx11-6 in Breaks.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 27 Feb 2023 10:43:23 +0200

xkeyboard-config (2.35.1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Use macros for the upstream file/version/extension.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 05 Apr 2022 14:22:25 +0300

xkeyboard-config (2.33-1) unstable; urgency=medium

  * New upstream release. (Closes: #980978)
  * revert-goodmap-badmap-for-apple.diff: Finally dropped, we've had
    kernel > 2.6.19 for a while now.
  * control, rules: Build with meson.
  * rules: Drop an unnecessary workaround for quilt.
  * control: Update Vcs links for the new repo name (xkeyboard-config).
  * Set upstream metadata fields for Name and Repository. Drop old repo
    from watch.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Aug 2021 12:26:23 +0300

xkeyboard-config (2.29-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Add Breaks on x11-xkb-utils (<< 7.7+5).
    This ensures that xkbcomp won't fail for keycodes above 255, which this
    package now uses (Closes: #952731)

  [ Timo Aaltonen ]
  * rules: Override dh_clean.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 29 Feb 2020 13:32:57 +0200

xkeyboard-config (2.29-1) unstable; urgency=medium

  * New upstream release.
  * control: Use debhelper-compat, bump to 12.
  * patches: Drop reverts which have a fix upstream now, refresh revert-
    goodmap-badmap-for-apple.diff.
  * rules, control: Replace intltool with gettext.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Feb 2020 18:38:13 +0200

xkeyboard-config (2.26-2) unstable; urgency=medium

  * Revert following commits:
    - ed67b29e (Map evdev keycode KEY_BRIGHTNESS_CYCLE to
      XF86MonBrightnessCycle)
    - d0e5e63c (Map evdev keycode KEY_KEYBOARD to XF86Keyboard)
    - e6103610 (Map evdev keycode KEY_FAVORITES to XF86Favorites)
    (Closes: #921867, #921940, #922020).

 -- Andreas Boll <aboll@debian.org>  Mon, 11 Feb 2019 20:25:45 +0100

xkeyboard-config (2.26-1) unstable; urgency=medium

  * New upstream release.
    - Map evdev keycodes KEY_RFKILL and KEY_WWAN to XF86RFKill and
      XF86WWAN (Closes: #917157).
    - allowMultipleSelection is wrong in korean data (Closes: #902234).
  * Drop fix-typo.diff, upstreamed.
  * Cherry-pick af6c0f29 (Fixed broken pt layout) from upstream.
  * Let uscan check upstream tarball signatures.
  * Update Vcs-* URLs to point to salsa.debian.org.
  * Bump debhelper compat to 10.
  * Raise Priority to optional.
  * Set source format to 1.0.
  * Bump standards version to 4.3.0.

 -- Andreas Boll <aboll@debian.org>  Fri, 08 Feb 2019 22:27:41 +0100

xkeyboard-config (2.23.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #884822)
  * revert-indic-blacklist.diff: Dropped, upstream.
  * fix-typo.diff: Fix a typo in pl layout.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Feb 2018 17:30:40 +0200

xkeyboard-config (2.19-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert blacklisting of Indic layouts (Closes: #865316)

 -- Pirate Praveen <praveen@debian.org>  Tue, 18 Jul 2017 13:08:55 +0530

xkeyboard-config (2.19-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 12 Jan 2017 11:40:48 +0100

xkeyboard-config (2.18-1) unstable; urgency=medium

  * Team upload.

  [ Timo Aaltonen ]
  * New upstream release.

  [ Julien Cristau ]
  * Update upstream URLs in packaging to use https.

 -- Julien Cristau <jcristau@debian.org>  Sat, 24 Sep 2016 15:07:03 +0200

xkeyboard-config (2.17-1) unstable; urgency=medium

  * New upstream release
  * Use https instead of git for Vcs-Git.

 -- Julien Cristau <jcristau@debian.org>  Sun, 21 Feb 2016 15:56:50 +0000

xkeyboard-config (2.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 9, Standards-Version to 3.9.6, and update Vcs-*
    control fields.
  * Drop dh_builddeb override, xz is the default since dpkg 1.17.0.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Oct 2015 15:39:42 +0000

xkeyboard-config (2.14-1) unstable; urgency=medium

  * New upstream release (closes: #776817).
    - fujitsu_vndr: add a name to xkb_symbols sections (closes: #749006)
    - Add option to swap right alt & right control (closes: #752680)
  * Remove Cyril from Uploaders.
  * Drop fr-oss-rctrl.diff, upstream did a mostly equivalent change.

 -- Julien Cristau <jcristau@debian.org>  Sun, 26 Apr 2015 16:30:30 +0200

xkeyboard-config (2.12-1) unstable; urgency=medium

  * New upstream release
    + revert Russian layout change from 2.11 (closes: #748521)
    + revert it/fr/nl numeric keypad separator change (closes: #748734, #749112)
  * Fix right control key on fr(oss) layout to behave like control again
    (closes: #733757)

 -- Julien Cristau <jcristau@debian.org>  Fri, 06 Jun 2014 17:44:52 +0200

xkeyboard-config (2.11-1) unstable; urgency=medium

  [ Lior Kaplan ]
  * New upstream release
    + altwin(ctrl_alt_win): Map "win" to Ctrl keys (closes: #678553)
    + use the modern language name Bangla instead of Bengali (closes: #731274)
    + implemented the new Israeli Standard SI1452 for the il basic layout
      (closes: #530820)

  [ Sven Joachim ]
  * Mark xkb-data as "Multi-Arch: foreign" (Closes: #677884).

  [ Julien Cristau ]
  * Fix grab:debug reference in the xml file.

 -- Julien Cristau <jcristau@debian.org>  Tue, 13 May 2014 00:09:58 +0200

xkeyboard-config (2.10.1-1) unstable; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release (closes: #718730).
  * Refresh revert-goodmap-badmap-for-apple.diff.
  * Drop preserve-shift.diff, applied upstream.
  * Update debian/watch for new tarballs location (closes: #727812).
  * Disable autopoint, it causes build failure and we use intltoolize
    instead.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Julien Cristau <jcristau@debian.org>  Sun, 22 Dec 2013 16:37:56 +0100

xkeyboard-config (2.5.1-3) unstable; urgency=low

  * Cherry-picks from upstream:
    - A couple of missing chars in gr(polytonic), added on levels 3, 4
      (closes: #696126)
    - Reverting broken fix for is keyboard
    - symbols: ossmath is CTRL+ALT, not FOUR_LEVEL (closes: #657440)
    - symbols/gr: fix comment (closes: #696125)

 -- Julien Cristau <jcristau@debian.org>  Tue, 25 Dec 2012 12:37:00 +0100

xkeyboard-config (2.5.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Preserve Shift modifier so GTK3 apps can properly differentiate between
    F10 and Shift+F10 (Closes: #656685).

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Sep 2012 18:12:52 +0200

xkeyboard-config (2.5.1-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Use xz compression for binary packages (Closes: #683891).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 05 Aug 2012 11:54:19 +0200

xkeyboard-config (2.5.1-1) unstable; urgency=low

  * New upstream release:
    - Update translations, the previous release was rushed a bit for
      the security fix.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 02 Feb 2012 12:32:30 +0100

xkeyboard-config (2.5-1) unstable; urgency=low

  * New upstream release, including:
    - Hide ClearGrab/CloseGrabs actions behind an option.
  * To get those actions back, use the grab:break_actions option. At
    the moment, the corresponding actionve has been disabled on the
    server side as a hot fix for CVE-2012-0064 (Closes: #656500).
  * Since there's a workaround on the server side already, do not use
    a high urgency, so that this new upstream release and its various
    changes can be tested for a while in unstable.
  * Update URL in watch file.
  * Add xsltproc, xutils-dev build-deps.
  * Keep /usr/share/man out of the udeb, due to a newly-added manpage.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 20 Jan 2012 18:21:03 +0100

xkeyboard-config (2.3-2) unstable; urgency=low

  * Upload to unstable, for GNOME3 (Closes: #652871).
  * Adapt dh_autoreconf override since its behaviour changed.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 21 Dec 2011 10:52:00 +0100

xkeyboard-config (2.3-1) experimental; urgency=low

  * New upstream release:
    - Since 2.1 is still supposed to be the best for GNOME2, and since
      GNOME3 is still being prepared in experimental, target that suite
      rather than unstable.
  * Add intltool build-dep.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 04 Jun 2011 00:35:16 +0200

xkeyboard-config (2.2.1-1) experimental; urgency=low

  * New upstream release:
    - Big rewrite for GNOME3.
  * By default, run-time dependencies are checked at build-time:
    - Pass --disable-runtime-deps to disable that check since there's no
      point in doing so for Debian packages.
    - Break earlier versions of libx11-6.
  * Get rid of old maintainer scripts to upgrade from 1.6 since squeeze
    has 1.8.
  * Refresh patches.
  * Switch to dh:
    - Bump debhelper build-dep/compat to 8.
    - Use dh-autoreconf.
    - Rewrite debian/rules accordingly.
    - Build out-of-tree.
  * Remove debian/xsfbs/, no longer needed.
  * Remove debian/patches/quiltrc, not really needed.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 06 Apr 2011 02:41:25 +0200

xkeyboard-config (2.1-2) unstable; urgency=low

  * Remove Mohammed Adnène Trojette from Uploaders. Thanks for your work!
  * Wrap build dependencies.
  * Drop Breaks on libx11-6 (<< 2:1.1), that was before lenny.
  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 06 Apr 2011 01:01:12 +0200

xkeyboard-config (2.1-1) experimental; urgency=low

  * New upstream release:
    + Beware of the possible regressions, we're going 3 releases forward
      at once.
  * Rebuild ChangeLog using “git log” on the upstream branch. The NEWS
    file is a bit too lightweight. As a reminder, it's installed as:
      /usr/share/doc/xkb-data/changelog.gz
  * Point to /usr/share/X11/xkb/rules/base.lst in README.Debian, thanks to
    Riku Saikkonen for the suggestion (Closes: #487951).
  * Great debian/rules cleanup:
    + Remove deb target, dpkg-buildpackage's -i does the right thing, and
      “-rfakeroot” has been the default for a while.
    + Remove dir target, no longer used.
    + Stop removing rules/compat/base.l[2-4]*.part, they are no longer
      generated automatically.
    + More generically, stop removing files which weren't cleaned, that's
      been fixed.
    + Call touch in clean to restore the empty file which gets deleted by
      quilt when unpatching rules/base.o_k.part; this avoid its showing up
      as “deleted” in “git status”.
    + Try and keep the udeb's size low: Replace multiple spaces with a
      single space character. For this version, installed size goes down
      from 3.5MB to 3.0MB.
    + Additionally, remove comments starting with “//”. Down to 2.6MB, yay.
    + Also don't ship the newly-added pkg-config file in the udeb.
    + Stop removing $(xkb_base)/compiled, it's no longer created.
    + Stop passing --disable-xkbcomp-symlink to configure, it's gone.
  * Merge xsfbs/debian-unstable, which helps avoiding rebuilds.
  * Update download URL in watch file.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 28 Jan 2011 00:11:58 +0100

xkeyboard-config (1.8-2) unstable; urgency=low

  * Add revert-goodmap-badmap-for-apple.diff patch to make apple:goodmap and
    apple:badmap options available again. Some users are still affected by
    this issue, so restore those options for now (Closes: #604671). Thanks,
    Corsac, for reporting and checking the fix!

 -- Cyril Brulebois <kibi@debian.org>  Tue, 23 Nov 2010 21:48:24 +0100

xkeyboard-config (1.8-1) unstable; urgency=low

  [ Julien Cristau ]
  * Remove myself from Uploaders
  * New upstream release
    + Fix Win key as third level chooser (closes: #531771)

  [ Cyril Brulebois ]
  * Add udeb needed for the graphical installer: xkb-data-udeb.
  * Add myself to Uploaders.
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Add Depends: ${misc:Depends} to xkb-data.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 15 Mar 2010 14:24:43 +0100

xkeyboard-config (1.7-2) unstable; urgency=low

  * Apparently some people have /etc/X11/xkb as a symlink, which makes rmdir
    fail.  Try to handle that case as well (closes: #558761).  Thanks, Arjan
    Opmeer!

 -- Julien Cristau <jcristau@debian.org>  Sat, 16 Jan 2010 20:39:49 +0000

xkeyboard-config (1.7-1) unstable; urgency=low

  [ David Nusinow ]
  * Add a note about re-enabling ctrl-alt-backspace killing to NEWS.Debian
    (closes: #531629)
  * Update xsfbs.
  * Update to debhelper version 7
    + Fix up dh_clean -k to use dh_prep instead
  * Update standards version to 3.8.3.0. No changes necessary.

  [ Julien Cristau ]
  * Don't install base.xml in /etc/X11/xkb.  Modifying this creates more
    problems than it solves (closes: #497341).
  * New upstream release.
    + fix broken reference to symbols/sun_vndr/us(sun[45]) (closes: #469335)
    + add a dead_tilde to the Spanish layout (closes: #546288)
    + fix error in German translation (closes: #532642)
  * Clean up using maintainer-clean instead of distclean.

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Nov 2009 11:47:09 +0100

xkeyboard-config (1.6-1) unstable; urgency=low

  * Add Breaks on old libx11-6.  It seems some people are keeping very, very
    old libx11-6 versions, which didn't know about some keysyms we're now
    using, thus making their keyboard unusable (closes: #530585, #514975).
  * New upstream release
    + adds Crimean Tatar layouts (closes: #513557)
    + French translation updated (closes: #529479)
    + fixes handling of compat layouts (closes: #514409)
  * Patches sclk_toggle.diff and unhide_lv3_enter_switch.diff are upstream.
  * Add README.source, bump Standards-Version to 3.8.1.

 -- Julien Cristau <jcristau@debian.org>  Sat, 30 May 2009 16:39:19 +0200

xkeyboard-config (1.5-2) unstable; urgency=low

  * Cherry-picked from upstream git:
    + added ca(eng), b.fd.o#19707
    + fixed meta for fi(smi), b.fd.o#19841
    Requested by Samuel Thibault.

 -- Julien Cristau <jcristau@debian.org>  Sun, 01 Feb 2009 16:46:55 +0100

xkeyboard-config (1.5-1) unstable; urgency=low

  * New upstream release.
    + bepo layout updated (closes: #469826)
    + some symbols added to Gurmukhi keymap (closes: #443647)
    + new 'deadtilde' variant for es and latam layouts (closes: #444035)
    + problem with cymotion model and XF86WWW keysym fixed (closes: #462816)
    + 'sun' rules files removed (closes: #469306)
    + the us layout doesn't override CAPS anymore (closes: #504022)
    + model 'logimel', Logitech Media Keyboard Elite, added (closes: #384801)
  * Patch sclk_toggle.diff updated.
  * Patch unhide_lv3_enter_switch.diff refreshed.
  * Patch send-upstream/001_keypad_comma.diff dropped; the kpdl:comma option
    exists since 1.1, and keypad:comma was broken since then.
  * Patches add_void_definition_pl-324647.diff and mac_poweroff.diff dropped,
    applied upstream.
  * Add myself to Uploaders.
  * Update debian/copyright from upstream COPYING.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Jan 2009 06:40:24 +0100

xkeyboard-config (1.4-1) unstable; urgency=low

  * New upstream release.
  * Clean up generated files on clean, and recreate them at build time, in an
    attempt to make the build system cleaner.  Also reorganize debian/rules in
    the process, using the standard xsfbs ruleset.
  * Update patch send-upstream/001_keypad_comma.diff.
  * Delete patch fixed-compat-rules-for-Romania-b.fd.o-16872.patch, applied
    upstream.

 -- Julien Cristau <jcristau@debian.org>  Wed, 12 Nov 2008 19:45:45 +0100

xkeyboard-config (1.3-2) unstable; urgency=high

  * Fix compat rules for Romanian layout (closes: #485702).
  * Remove some generated files from the source package to clean up the build.

 -- Julien Cristau <jcristau@debian.org>  Thu, 14 Aug 2008 19:51:55 +0200

xkeyboard-config (1.3-1) unstable; urgency=low

  * New upstream release:
     + add a CA variant for Secwepemctsin language. (Closes: #476702)
     + change Romanian keymap to use the correct comma
       characters. (Closes: #481176)
     + "symbols/ru: default variant is winkeys (till Daniel
       fixes xkbcomp)" (Closes: #480124)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Wed, 28 May 2008 13:38:30 +0200

xkeyboard-config (1.2~cvs.20080501.1-1) unstable; urgency=low

  * New upstream CVS snapshot from May 1st 2008:
     + revert Latin American layout. (Closes: #477197)
     + reactivate right control key in fr(oss). (Closes: #460550)
     + fix olpc variants in the Afghan layout. (Closes: #461521)
  * Clean up add_void_definition_pl-324647.diff and apply it before
    resync_rules_base.diff to avoid unclean patch applying and
    unapplying. (Closes: #460838)
  * Document issues with the "Fn" key on some laptops in
    README.Debian. (Closes: #461489)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Thu, 01 May 2008 01:29:51 +0200

xkeyboard-config (1.1~cvs.20080104.1-1) unstable; urgency=low

  * New upstream CVS snapshot from January 4th 2008:
     + fixed Latin American layout. (Closes: #444035)
     + fixed Cherry CyMotion Master Linux layout. (Closes: #343929)
     + fixed HP Compaq nx9020 layout. (Closes: #395883)
     + split Serbia and Montenegro. (Closes: #451622)
     + added fr(nodeadkeys) to mac. (Closes: #456942)
     + fixed mapping for shift+backslash in "il" keyboard. (Closes: #457927)
     + added English quotation marks to intl keymaps. (Closes: #453675)
  * debian/control:
     + bumped Standards-Version to 3.7.3.
     + used Vcs-Git and Vcs-Browser fields.
     + use a Homepage field.
  * Refreshed resync_rules_base.diff. (Closes: #442942)
  * Documented the creation of a custom layout in README.Debian and
    made /usr/share/X11/xkb/rules/base.xml a symlink to
    /etc/X11/xkb/base.xml.
    (Closes: #410628, #410903, #438940)
  * Documented how to remove conffiles left in /etc/X11/xkb/ in
    README.Debian. (Closes: #366180)
  * New patch: add_void_definition_pl-324647.diff
     + don't use rules/latin's definitions for alt+{w,q,f}.
       (Closes: #324647)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 13 Jan 2008 15:33:54 +0100

xkeyboard-config (1.0~cvs.20070916-1) unstable; urgency=low

  * New upstream CVS snapshot from September 16th 2007:
     + fix evdev layout. (Closes: #442479)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 16 Sep 2007 18:51:30 +0200

xkeyboard-config (1.0~cvs.20070914-1) unstable; urgency=low

  * New upstream CVS snapshot from September 14th 2007:
     + advertise all Romanian layouts. Thanks Eddy Petrișor for the
       patch. (Closes: #436993)
     + fix ctrl:swapcaps. (Closes: #410060)
     + add missing virtual keys from evdev keycodes. Thanks Yann
       Vernier for the patch. (Closes: #432613)
     + support Asus 6000 series laptop keyboard. Thanks Arnout Boelens
     for the patch. (Closes: #383953)
  * Update debian/*.dir files.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 14 Sep 2007 19:12:27 +0200

xkeyboard-config (1.0~cvs.20070721-1) unstable; urgency=low

  [ Julien Cristau ]
  * Fix watch file to look for tarballs at http://xlibs.fd.o/xkbdesc/

  [ Mohammed Adnène Trojette ]
  * New upstream CVS snapshot from July 21st 2007:
     + include xkb files for the Happy Hacking keyboard. (Closes: #167370)
     + fix us layout. (Closes: #421532)
     + fix se layout. (Closes: #425304)
     + fix de+nodeadkey layout. (Closes: #432297)
  * Patches refreshed:
     + fix FTBFS. (Closes: #424112)
  * Patches obsoleted:
     + greek.diff.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 21 Jul 2007 20:51:07 +0200

xkeyboard-config (0.9+cvs.20070428-1) experimental; urgency=low

  * Add myself to Uploaders. (Closes: #401777)
  * CVS Snapshot from April 24 2007:
     + fix Uzbek layout. (Closes: #412528)
     + fix typo in compat/misc. (Closes: #412352)
     + adjust Dutch layout. (Closes: #286581)
     + fix keymap on iBook G4 Japanese keyboard. (Closes: #374070)
     + fix <K6C> key in symbols/inet. (Closes: #409982)
     + update Finnish layout. (Closes: #405207)
     + add Logitech Cordless Desktop Optical support. (Closes: #391192)
     + fix a jp106 backslash/yen issue. (Closes: #280579)
  * Patches refreshed:
     + resync_rules_base.diff.
  * Patches obsoleted or merged upstream:
     + revert_bz8572.diff
     + po.diff
     + bz1576.diff
     + bz8668.diff
     + compatibility.diff
     + japan.diff
  * Patches to send upstream:
     + 001_keypad_comma.diff: add keypad:comma option. (Closes: #409117)
  * Bump debhelper compatibility to 5.
  * Remove reference to xlibs. (Closes: #413620)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 28 Apr 2007 20:35:01 +0200

xkeyboard-config (0.9-4) unstable; urgency=low

  [ Denis Barbier ]
  + debian/patches/po.diff: Escape <> characters in Slovenian
    PO file, base.xml was not a valid XML file.  Closes: #394060

  [ Loic Minier ]
  * Upload.

 -- Denis Barbier <barbier@debian.org>  Fri, 20 Oct 2006 22:24:57 +0200

xkeyboard-config (0.9-3) unstable; urgency=high

  [ Denis Barbier ]
  * debian/patches/resync_rules_base.diff: Regenerate to fix FTBFS.
    Closes: #393166  Thanks Andreas Jochens.
    Urgency set to high because of the FTBFS.

  + debian/patches/po.diff: Update Slovenian PO file.

  + debian/patches/bz8668.diff: New patch to fix Ctrl-Alt-Backspace
    with Macintosh us layout.

  * debian/patches/revert_bz8572.diff: Sync to CVS.

  [ Drew Parsons ]
  * Thank you to Denis for the hard work keeping the keyboards typing.

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Oct 2006 10:55:11 +1000

xkeyboard-config (0.9-2) unstable; urgency=low

  + debian/patches/po.diff: Update Hungarian PO file.

  + debian/patches/revert_bz8572.diff: New patch to revert changes
    introduced in BZ8572, they cause trouble with Ctrl-Alt-F*
    combinations.  Closes: #392911.

 -- Denis Barbier <barbier@debian.org>  Sat, 14 Oct 2006 19:55:14 +0200

xkeyboard-config (0.9-1) unstable; urgency=low

  * New upstream release.
    Almost all upstream fixes were already backported, this package
    is very similar to 0.8-18.

  * Drop patches merged upstream:
    + debian/patches/latin_quotes.diff
    + debian/patches/fix_xkbcomp_crash.diff

  * This version adds leftsinglequotemark and rightsinglequotemark to
    symbols/us(alt-intl).  Closes: #391995 Thanks Jan Willem Stumpel.

 -- Denis Barbier <barbier@debian.org>  Wed, 11 Oct 2006 22:50:37 +0200

xkeyboard-config (0.8-18) unstable; urgency=low

  * Sync to CVS 2006-10-05.
    Drop patches merged upstream:
    + debian/patches/mac-gb-euro.diff
    + debian/patches/symbols-typos.diff
    + debian/patches/finnish-macron.diff
    + debian/patches/rewrite-mac.diff

  * debian/patches/japan.diff: New patch so that the latin variant of
    jp layout is selected with multiple layouts.

 -- Denis Barbier <barbier@debian.org>  Thu,  5 Oct 2006 22:12:56 +0200

xkeyboard-config (0.8-17) unstable; urgency=low

  * debian/patches/finnish-macron.diff: In symbols.fi, replace macron
    by dead_macron.  Closes: #387320  Thanks Martin-Éric Racine.

  * debian/patches/symbols-typos.diff: Fix typos in keysym names.
    Closes: #390876  Thanks Sam Hocevar.

  * debian/patches/rewrite-mac.diff: Add includes to mac layouts in
    symbols/* to reduce key definitions.

 -- Denis Barbier <barbier@debian.org>  Tue,  3 Oct 2006 22:18:31 +0200

xkeyboard-config (0.8-16) unstable; urgency=low

  * Sync to CVS 2006-10-02.
    + Macintosh layouts are also available for PC models.
    + New nbsp:* options to add nobreakspace keysym on space key.
      Closes: #361777  Thanks Samuel Thibault.

  * Thix patch has been merged upstream and is removed:
    + debian/patches/thinkpad.diff

  * debian/patches/unhide_lv3_enter_switch.diff: New patch to
    expose lv3:enter_switch, it can be useful when using pc105
    model on a Mac laptop.

 -- Denis Barbier <barbier@debian.org>  Tue,  3 Oct 2006 00:35:01 +0200

xkeyboard-config (0.8-15) unstable; urgency=low

  * debian/patches/greek.diff: New patch to replace dead_horn and
    dead_ogonek by U0313/U0314, which are the correct breathing
    signs for polytonic Greek.  This change can be performed now
    that an updated el_GR.UTF-8/Compose file hit testing.
    Closes: #386385  Thanks Jan Willem Stumpel.

  * debian/patches/compatibility.diff: Add compatibility rules to
    make sure that changes in symbols/pc do not cause trouble.
    Closes: #389589  Thanks Robert Bihlmeyer.

 -- Denis Barbier <barbier@debian.org>  Wed, 27 Sep 2006 23:19:39 +0200

xkeyboard-config (0.8-14) unstable; urgency=low

  * Sync to CVS 2006-09-25.
  * These patches have been merged upstream and are removed:
    + debian/patches/macbook_layouts.diff
    + debian/patches/fr.po.diff

  * debian/patches/bz1576.diff: Minor fixes in Macintosh layouts.

  * debian/patches/thinkpad.diff: Fix geometry/thinkpad.
    Closes: #389358  Thanks Wouter Cloetens

 -- Denis Barbier <barbier@debian.org>  Mon, 25 Sep 2006 21:38:39 +0200

xkeyboard-config (0.8-13) unstable; urgency=low

  * Sync to CVS 2006-09-18.
    Support for Macintosh keyboards has been fully reworked, deeply
    tested by debian-powerpc readers and merged upstream.  Macintosh
    layouts can now be as customized as PC ones with options.
    Closes: #121297, #111905, #166478, #234113, #319423, #256442

  * These patches are removed because they are obsolete:
    + debian/patches/cvs_revert.diff
    + debian/patches/inet.diff
    + debian/patches/mac_fnkeys.diff
    + debian/patches/macintosh.diff
    + debian/patches/macintosh-gb.diff
    + debian/patches/mac_swap_kp.diff
    + debian/patches/mac_nodeadkeys.diff

  * debian/README.Debian: Replace its obsolete content by informations 
    to powerpc users.

  * debian/patches/fix_xkbcomp_crash.diff: New patch to fix an
    xkbcomp crash introduced in CVS and not fixed yet.
    Closes: #387917 Thanks Helge Kreutzmann and Wolfgang Pfeiffer.

  * debian/patches/mac_poweroff.diff: Add the power key to Apple
    laptops.  Thanks Jörg Sommer.

  * debian/patches/macbook_layouts.diff: For MacBook models, load
    symbols from symbols/macintosh_vndr/* instead of symbols/*.

  * debian/patches/mac-gb-euro.diff: New patch to add the Euro sign
    on key 2 for the Macintosh gb layout.

  * debian/patches/fr.po.diff: Fix po/fr.po, the version currently
    in CVS is broken.

 -- Denis Barbier <barbier@debian.org>  Sat, 23 Sep 2006 00:18:38 +0200

xkeyboard-config (0.8-12) unstable; urgency=low

  * Sync to CVS 2006-09-05.
    + Closes: #362850: support alt-caps to toggle groups
    Drop patches merged upstream:
    + debian/patches/fix_symbols_hr.diff
    + debian/patches/fix_symbols_key_type.diff
    + debian/patches/ralt_switch_multikey.diff
    + debian/patches/rearrange_options.diff
    + debian/patches/microsoft.diff

 -- Denis Barbier <barbier@debian.org>  Tue,  5 Sep 2006 19:48:57 +0200

xkeyboard-config (0.8-11) unstable; urgency=low

  * debian/patches/rearrange_options.diff: New patch to modify options
    order in rules/base so that altwin:meta_win can be overriden by
    other options.  Closes: #385355  Thanks Ben Mueller

  * debian/patches/fix_symbols_key_type.diff: Several layouts did
    define global key types, so keys for other groups were broken.
    Closes: #373692, #385970  Thanks Robert Marlow and Jan Willem Stumpel

 -- Denis Barbier <barbier@debian.org>  Mon,  4 Sep 2006 21:50:00 +0200

xkeyboard-config (0.8-10) unstable; urgency=low

  * Really fix Mac nodeadkeys variants, rules/base was not properly
    rebuilt.

 -- Denis Barbier <barbier@debian.org>  Thu, 31 Aug 2006 00:30:25 +0200

xkeyboard-config (0.8-9) unstable; urgency=low

  * debian/patches/resync_rules_base.diff: New patch to help keeping
    rules/base.* and rules/compat/base.* files up-to-date.

  * debian/patches/mac_swap_kp.diff: New patch to swap KP_Delete and
    KP_Separator on Mac keyboards.  Closes: #328125  Thanks Ben Mueller

  * debian/patches/latin_quotes.diff: New patch; grave and apostrophe
    on the 4th level can be provided via simpler keystrokes.  They were
    historically provided as alternative quotes, but these ones are
    better alternatives.  Closes: #308196 Thanks Mark Sheppard

  * debian/patches/mac_nodeadkeys.diff:  New patch to fix nodeadkeys variants,
    they were badly broken.

 -- Denis Barbier <barbier@debian.org>  Wed, 30 Aug 2006 22:17:59 +0200

xkeyboard-config (0.8-8) unstable; urgency=low

  * Sync to CVS 2006-08-28.
    + symbols/inet, keycodes/evdev: updated evdev
    + symbols/pl: added pl(csb)
    + symbols/bt: fixed Bhutan
    + symbols/us: added dvorak-classic  Closes: #257626, #264647
    + symbols/inet: added acer_c300
    + symbols/lk: updated Sinhala
    + symbols/de: added Mac variants
    + symbols/ch: fixed KPDL in ch(de_mac)

  * debian/patches/update-bt.diff: Patch dropped, merged upstream.

  * debian/patches/fix_symbols_hr.diff: New patch to fix Croatian layout,
    some differences with previous XFree86 keymap had been introduced
    in xkeyboard-config.  Closes: #379292  Thanks Josip Rodin

  * debian/patches/mac_fnkeys.diff: New patch to fix console switching
    with Macintosh us layout.  Closes: #370564  Thanks Ben Mueller

  * debian/patches/ralt_switch_multikey.diff: New patch to enable again
    lv3:ralt_switch_multikey which had been dropped from xkeyboard-config.
    Closes: #364435  Thanks Klaus Ethgen

  * debian/patches/microsoft.diff: New patch to enable again the
    'microsoft' model, it had been disabled by error in previous uploads.
    Closes: #379917 Thanks Phil Armstrong

  * debian/patches/inet.diff: New patch to add apple, apple_laptop,
    hpxt1000 and latitude to $inetkbds.  Closes: #381882
    Thanks Steinar H. Gunderson

 -- Denis Barbier <barbier@debian.org>  Sat, 26 Aug 2006 14:54:51 +0200

xkeyboard-config (0.8-7) unstable; urgency=low

  * debian/patches/macintosh-gb.diff: New patch to fix <LSGT> and <TLDE> keys.
    Closes: #379148 Thanks Roger Leigh

  * debian/patches/macintosh.diff: New patch to include 'latin' layout.
    Closes: #366615, #363525

  * debian/patches/update-bt.diff: New patch to update the Bhutanese layout.
    Closes: #378309 Thanks Christian Perrier

  * debian/rules: Make sure that rules/base{,.lst,.xml} files are rebuilt.

 -- Denis Barbier <barbier@debian.org>  Mon, 14 Aug 2006 16:10:41 +0200

xkeyboard-config (0.8-6) unstable; urgency=low

  * debian/control: Move debhelper from Build-Depends-Indep to Build-Depends.

  * debian/control: Bump Standards-Version to 3.7.2, no changes needed.

  * debian/control: Use quilt to manage changes.

  * Sync with CVS 2006-07-02.
    The following bugs have been fixed upstream:
    + XF86AudioRaiseVolume is defined twice for Logitech keyboards.
      Closes: #363925
    + hr(us) layout apparently broken.  Closes: #373833
    + symbols/inet and rules/base.* do not match.  Closes: #368885
    + no korean alphabet (hangul) mapping support.  Closes: #342615

  * Drop fr.po.diff, included upstream.

 -- Denis Barbier <barbier@debian.org>  Sun,  2 Jul 2006 22:11:44 +0200

xkeyboard-config (0.8-5) unstable; urgency=low

  * Add a symlink rules/xfree86 -> rules/base.  Thanks Daniel Stone.

 -- Denis Barbier <barbier@debian.org>  Fri, 14 Apr 2006 22:30:25 +0200

xkeyboard-config (0.8-4) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Thu,  6 Apr 2006 19:56:38 -0400

xkeyboard-config (0.8-3) experimental; urgency=low

  * Add a note into NEWS.Debian telling to read README.Debian.
  * Improve README.Debian again.
  * Replace /etc/X11/xkb by /usr/share/X11/xkb in docs/README.config too.

 -- Denis Barbier <barbier@debian.org>  Tue, 28 Mar 2006 20:52:21 +0200

xkeyboard-config (0.8-2) experimental; urgency=low

  * Explain in README.Debian how to use xkb-data 0.8 with xorg < 7.0.
    Thanks Andreas Kroschel  (Closes: #357207)
  * Update po/fr.po

 -- Denis Barbier <barbier@debian.org>  Thu, 16 Mar 2006 23:27:19 +0100

xkeyboard-config (0.8-1) experimental; urgency=low

  * New upstream release.
  * This release includes the Khmmer layout.  Closes: #355613
  * Add Build-Depends-Indep: libxml-parser-perl, which is needed to build rules.xml.
  * Modify debian/rules so that xkbcomp is not required to build this package.
    Closes: #355742
  * Move XKB files into /usr/share/X11/xkb and purge unmodified configuration file
    when upgrading from previous xkb-data releases.
  * Remove xkbcomp symlink, it is no more needed.  Closes: #356529
  * Set Maintainer to Debian X Strike Force, and myself to Uploaders.

 -- Denis Barbier <barbier@debian.org>  Mon, 13 Mar 2006 21:21:25 +0100

xkeyboard-config (0.6-2) experimental; urgency=low

  * symbols/compose: add CapsLock as a compose key.  Closes: #343287
    Thanks Andreas Kroschel.
  * symbols/group: add ScrollLock as a group switcher key.
    Thanks Andreas Kroschel.

 -- Denis Barbier <barbier@debian.org>  Fri, 16 Dec 2005 17:54:43 +0100

xkeyboard-config (0.6-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.6.2, no changes needed
    in packaging.
  * debian/README.Debian: Add a note explaining how to use xkeyboard-config.
  * Since binary package is xkb-data, files are installed under
    /etc/X11/xkb-data and not /etc/X11/xkeyboard-config.

 -- Denis Barbier <barbier@debian.org>  Thu,  6 Oct 2005 23:19:59 +0200

xkeyboard-config (0.5-2) experimental; urgency=low

  * Some packages have a versioned dependency on xlibs, so Replaces
    does not work here.  For the moment, XKB files are moved to
    /etc/X11/xkeyboard-config

 -- Denis Barbier <barbier@debian.org>  Thu, 17 Mar 2005 22:25:02 +0100

xkeyboard-config (0.5-1) experimental; urgency=low

  * Initial upload.  Closes: #274299
  * Uploaded to experimental until we decide what to do with the
    xlibs <-> xkb-data transition.

 -- Denis Barbier <barbier@debian.org>  Wed,  2 Mar 2005 22:28:23 +0100

